> ## Documentation Index
> Fetch the complete documentation index at: https://agent-docs.nineteen58.co.za/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Broadcast

> Returns details of a specific broadcast and its associated messages



## OpenAPI

````yaml GET /public-api/broadcasts/{id}
openapi: 3.0.0
info:
  title: Agents Public API
  version: '1.0'
  description: REST API for managing contacts, campaigns, and conversations
  termsOfService: https://agents.nineteen58.co.za/terms
  contact:
    name: API Support
    url: https://agents.nineteen58.co.za/support
    email: support@nineteen58.co.za
servers:
  - url: https://agents.nineteen58.co.za
    description: Production server
security:
  - apiKeyAuth: []
tags: []
paths:
  /public-api/broadcasts/{id}:
    get:
      tags:
        - Broadcasts
      summary: Retrieve a single broadcast and its messages
      description: Returns details of a specific broadcast and its associated messages
      operationId: getpublicapibroadcastsid
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
            format: uuid
          description: Broadcast ID
      responses:
        '200':
          description: Successfully retrieved broadcast details
          content:
            application/json:
              schema:
                type: object
                properties:
                  broadcast:
                    type: object
                    properties:
                      id:
                        type: string
                      created_at:
                        type: string
                      agent_id:
                        type: string
                      description:
                        type: string
                      name:
                        type: string
                      test:
                        type: boolean
                  messages:
                    type: array
                    items:
                      type: object
                      properties:
                        contact_id:
                          type: string
                        broadcast_text:
                          type: string
                        summary:
                          type: string
                        transcript:
                          type: object
                        answered:
                          type: boolean
                        delivered:
                          type: boolean
                        successful:
                          type: boolean
                        successful_evaluation:
                          type: string
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````